# Glacier2::SSLPermissionsVerifier

## Overview

### interface SSLPermissionsVerifier

The SSL Glacier2 permissions verifier. This is called through the process of establishing a session.

#### See Also

Router

## Operations

### bool authorize(SSLInfo info, out string reason) throws PermissionDeniedException

Check whether a user has permission to access the router.

#### Parameters

info
  The SSL information.
reason
  The reason why access was denied.

#### Return Value

True if access is granted, or false otherwise.

#### Exceptions

PermissionDeniedException
  Raised if the user access is denied. This can be raised in place of returning false with a reason set in the reason out parameter.

#### See Also

SSLInfo